post
/public_api/netscan/v1/scan/run/{id}/command
Send a control command to a running scan execution. Supported commands
are ABORT (cancel the scan), PAUSE (pause the scan), and RESUME
(resume a paused scan).
Path parameters
id
Long
required
Unique identifier of the scan run
Unique identifier of the scan run
Example:
789
Request headers
User-Agent String required
Example:
userAgent_example
CLIENT REQUEST
curl -X 'POST'
-H
'Accept: application/json'
-H
'Content-Type: application/json'
-H
'User-Agent: userAgent_example'
'https://api-cortex.paloaltonetworks.com/public_api/netscan/v1/scan/run/{id}/command'
-d
''
import http.client
conn = http.client.HTTPSConnection("api-")
payload = "{\"request_data\":{\"type\":\"ABORT\"}}"
headers = {
'User-Agent': "SOME_STRING_VALUE",
'content-type': "application/json"
}
conn.request("POST", "%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Post.new(url)
request["User-Agent"] = 'SOME_STRING_VALUE'
request["content-type"] = 'application/json'
request.body = "{\"request_data\":{\"type\":\"ABORT\"}}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"request_data": {
"type": "ABORT"
}
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command");
xhr.setRequestHeader("User-Agent", "SOME_STRING_VALUE");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.post("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command")
.header("User-Agent", "SOME_STRING_VALUE")
.header("content-type", "application/json")
.body("{\"request_data\":{\"type\":\"ABORT\"}}")
.asString();import Foundation
let headers = [
"User-Agent": "SOME_STRING_VALUE",
"content-type": "application/json"
]
let parameters = ["request_data": ["type": "ABORT"]] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\"request_data\":{\"type\":\"ABORT\"}}",
CURLOPT_HTTPHEADER => [
"User-Agent: SOME_STRING_VALUE",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "User-Agent: SOME_STRING_VALUE");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"type\":\"ABORT\"}}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://api-/%7Bfqdn%7D/public_api/netscan/v1/scan/run/%7Bid%7D/command");
var request = new RestRequest(Method.POST);
request.AddHeader("User-Agent", "SOME_STRING_VALUE");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"request_data\":{\"type\":\"ABORT\"}}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
required
request_dataobject
typestring (Enum)required
application/json
request_dataobject
typestring (Enum)requiredCommand to perform on the scan run
Command to perform on the scan run
Allowed values:"ABORT""PAUSE""RESUME"
REQUEST
{
"request_data": {
"type": "ABORT"
}
}Responses